### GET /v1/users/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/users/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/users/get-options" ``` ``` -------------------------------- ### GET /v1/resources/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/resources/get-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/resources/get-options" ``` ``` -------------------------------- ### GET /v1/equipment/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment/get-options" ``` ``` -------------------------------- ### GET /v1/users/post-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/users/post-options ```markdown ### Parameters - **isContact** (string, query, optional) - **userTypeID** (string, query, optional) ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/users/post-options?isContact=value&userTypeID=value" ``` ``` -------------------------------- ### GET /v1/equipment/post-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment/post-options ```markdown ### Parameters - **equipmentTypeID** (string, query, optional) - **buildingID** (string, query, optional) ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment/post-options?equipmentTypeID=value&buildingID=value" ``` ``` -------------------------------- ### GET /v1/requisitions/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/requisitions/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/requisitions/get-options" ``` ``` -------------------------------- ### GET /v1/equipment-types/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment-types/get-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment-types/get-options" ``` ``` -------------------------------- ### GET /v1/inventory/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/inventory/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/inventory/get-options" ``` ``` -------------------------------- ### GET /v1/user-types/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/user-types/get-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/user-types/get-options" ``` ``` -------------------------------- ### GET /v1/resource-types/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/resource-types/get-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/resource-types/get-options" ``` ``` -------------------------------- ### GET /v1/user Source: https://demo.gofmx.com/api/v1/docs Gets the authenticated user. ```markdown ### Parameters - **fields** (string, query, optional) - **customFieldIDWhitelist** (string, query, optional) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/user?fields=value&customFieldIDWhitelist=value" ``` ``` -------------------------------- ### GET /v1/purchase-orders/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/purchase-orders/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/purchase-orders/get-options" ``` ``` -------------------------------- ### GET /v1/buildings/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/buildings/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/buildings/get-options" ``` ``` -------------------------------- ### GET /v1/equipment-types/post-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment-types/post-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment-types/post-options" ``` ``` -------------------------------- ### GET /v1/inventory/post-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/inventory/post-options ```markdown ### Parameters - **inventoryTypeID** (string, query, optional) - **buildingID** (string, query, optional) ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/inventory/post-options?inventoryTypeID=value&buildingID=value" ``` ``` -------------------------------- ### GET /v1/request-types/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/request-types/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/request-types/get-options" ``` ``` -------------------------------- ### GET /v1/invoices/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/invoices/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/invoices/get-options" ``` ``` -------------------------------- ### GET /v1/inventory-types/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/inventory-types/get-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/inventory-types/get-options" ``` ``` -------------------------------- ### GET /v1/buildings/post-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/buildings/post-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/buildings/post-options" ``` ``` -------------------------------- ### GET /v1/equipment-types Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment-types ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **offset** (string, query, optional) - **limit** (string, query, optional) - **retiredFromDate** (string, query, optional) - **retiredToDate** (string, query, optional) - **retiredDateRange** (string, query, optional) - **statuses** (string, query, optional) - **buildingGroupIDs** (string, query, optional) - **search** (string, query, optional) - **sort** (string, query, optional): A comma-separated list of sort keys. A sort key orders ascending unless it's prefixed with a hyphen. ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment-types?fields=value&offset=value&limit=value&retiredFromDate=value&retiredToDate=value&retiredDateRange=value&statuses=value&buildingGroupIDs=value&search=value&sort=value" ``` ``` -------------------------------- ### GET /v1/accounting-accounts/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/accounting-accounts/get-options ```markdown ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/accounting-accounts/get-options" ``` ``` -------------------------------- ### GET /v1/equipment/{id} Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment/{id} ```markdown ### Parameters - **id** (string, path, required) - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **customFieldIDWhitelist** (string, query, optional): A comma-separated list of custom field IDs to filter for. Useful for reducing the amount of data returned in the response object by restricting the custom fields on the returned entities to only the custom fields whose IDs match the IDs provided. ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment/{id}?fields=value&customFieldIDWhitelist=value" ``` ``` -------------------------------- ### GET /v1/equipment/{ids} Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment/{ids} ```markdown ### Parameters - **ids** (string, path, required): A comma-separated list of up to 100 IDs. - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **customFieldIDWhitelist** (string, query, optional): A comma-separated list of custom field IDs to filter for. Useful for reducing the amount of data returned in the response object by restricting the custom fields on the returned entities to only the custom fields whose IDs match the IDs provided. ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment/{ids}?fields=value&customFieldIDWhitelist=value" ``` ``` -------------------------------- ### GET /v1/{module}/instruction-sets/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/{module}/instruction-sets/get-options ```markdown ### Parameters - **module** (string, path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/{module}/instruction-sets/get-options" ``` ``` -------------------------------- ### GET /v1/webhook-event-types Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/webhook-event-types ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/webhook-event-types?fields=value" ``` ``` -------------------------------- ### GET /v1/webhooks Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/webhooks ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/webhooks?fields=value" ``` ``` -------------------------------- ### GET /v1/equipment/{equipmentID}/logs/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment/{equipmentID}/logs/get-options ```markdown ### Parameters - **equipmentID** (string, path, required) ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment/{equipmentID}/logs/get-options" ``` ``` -------------------------------- ### API Overview: FMX API Reference (V1) Source: https://demo.gofmx.com/api/v1/docs All requests must be authenticated through HTTP Basic authentication using the "Authorization" HTTP header. The value for this header is constructed by combining a user's email and password with a colon (e.g. "email@example.com:1234poiu"). The resulting value is then Base64 encoded and appended to the string, "Basic " (e.g. "Basic ZW1haWxAZXhhbXBsZS5jb206MTIzNHBvaXU="). It's strongly discouraged to use your personal FMX account credentials for automated access to the API. This is because your password and user permissions may change at any time and this could break your automation without warning. Also, secure password storage is difficult and you will increase the exposure of your password if it's stored unencrypted in a config file, code file, or script on your end. Instead, we recommend creating an FMX user account, with a long and secure password, that's dedicated solely to API access. ```yaml # FMX API Reference (V1) # Version: 1 All requests must be authenticated through HTTP Basic authentication using the "Authorization" HTTP header. The value for this header is constructed by combining a user's email and password with a colon (e.g. "email@example.com:1234poiu"). The resulting value is then Base64 encoded and appended to the string, "Basic " (e.g. "Basic ZW1haWxAZXhhbXBsZS5jb206MTIzNHBvaXU="). It's strongly discouraged to use your personal FMX account credentials for automated access to the API. This is because your password and user permissions may change at any time and this could break your automation without warning. Also, secure password storage is difficult and you will increase the exposure of your password if it's stored unencrypted in a config file, code file, or script on your end. Instead, we recommend creating an FMX user account, with a long and secure password, that's dedicated solely to API access. # Base URL: Not specified ``` -------------------------------- ### GET /v1/user-types Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/user-types ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **offset** (string, query, optional) - **limit** (string, query, optional) - **retiredFromDate** (string, query, optional) - **retiredToDate** (string, query, optional) - **retiredDateRange** (string, query, optional) - **statuses** (string, query, optional) - **buildingGroupIDs** (string, query, optional) - **search** (string, query, optional) - **sort** (string, query, optional): A comma-separated list of sort keys. A sort key orders ascending unless it's prefixed with a hyphen. ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/user-types?fields=value&offset=value&limit=value&retiredFromDate=value&retiredToDate=value&retiredDateRange=value&statuses=value&buildingGroupIDs=value&search=value&sort=value" ``` ``` -------------------------------- ### GET /v1/{module}/instruction-sets Source: https://demo.gofmx.com/api/v1/docs Valid parameter values for this endpoint are exposed by the "get-options" endpoint. ```markdown ### Parameters - **module** (string, path, required) - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **offset** (string, query, optional) - **limit** (string, query, optional) - **retiredFromDate** (string, query, optional) - **retiredToDate** (string, query, optional) - **retiredDateRange** (string, query, optional) - **key** (string, query, optional) - **buildingGroupIDs** (string, query, optional) - **search** (string, query, optional) - **sort** (string, query, optional): A comma-separated list of sort keys. A sort key orders ascending unless it's prefixed with a hyphen. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/{module}/instruction-sets?fields=value&offset=value&limit=value&retiredFromDate=value&retiredToDate=value&retiredDateRange=value&key=value&buildingGroupIDs=value&search=value&sort=value" ``` ``` -------------------------------- ### GET /v1/transportation-requests/post-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/transportation-requests/post-options ```markdown ### Parameters - **requestTypeID** (string, query, optional) - **buildingID** (string, query, optional) - **onBehalfOfUserID** (string, query, optional) ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/transportation-requests/post-options?requestTypeID=value&buildingID=value&onBehalfOfUserID=value" ``` ``` -------------------------------- ### POST /v1/{module}-requests/{id}/start-work Source: https://demo.gofmx.com/api/v1/docs API endpoint for POST /v1/{module}-requests/{id}/start-work ```markdown ### Parameters - **module** (string, path, required) - **id** (string, path, required) - **model** (Fmx.Api.Models.V1.Shared.MultiStartWorkEditModel, body, required) ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X POST "https://api.example.com/v1/{module}-requests/{id}/start-work" ``` ``` -------------------------------- ### GET /v1/transportation-requests Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/transportation-requests ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **customFieldIDWhitelist** (string, query, optional): A comma-separated list of custom field IDs to filter for. Useful for reducing the amount of data returned in the response object by restricting the custom fields on the returned entities to only the custom fields whose IDs match the IDs provided. - **offset** (string, query, optional) - **limit** (string, query, optional) - **fromDate** (string, query, optional) - **toDate** (string, query, optional) - **dateRange** (string, query, optional) - **createdFromDate** (string, query, optional) - **createdToDate** (string, query, optional) - **createdDateRange** (string, query, optional) - **retiredFromDate** (string, query, optional) - **retiredToDate** (string, query, optional) - **retiredDateRange** (string, query, optional) - **finalizedFromDate** (string, query, optional) - **finalizedToDate** (string, query, optional) - **finalizedDateRange** (string, query, optional) - **assignmentUserIDs** (string, query, optional) - **customFieldIDs** (string, query, optional) - **customFieldLogic** (string, query, optional) - **customFieldOptionIDs** (string, query, optional) - **customFieldOtherOptionFieldIDs** (string, query, optional) - **buildingIDs** (string, query, optional) - **requestTypeIDs** (string, query, optional) - **resourceIDs** (string, query, optional) - **equipmentIDs** (string, query, optional) - **ownerships** (string, query, optional) - **statuses** (string, query, optional) - **resourceTypeIDs** (string, query, optional) - **resourceTypeFilterLogic** (string, query, optional) - **buildingGroupIDs** (string, query, optional) - **search** (string, query, optional) - **sort** (string, query, optional): A comma-separated list of sort keys. A sort key orders ascending unless it's prefixed with a hyphen. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/transportation-requests?fields=value&customFieldIDWhitelist=value&offset=value&limit=value&fromDate=value&toDate=value&dateRange=value&createdFromDate=value&createdToDate=value&createdDateRange=value&retiredFromDate=value&retiredToDate=value&retiredDateRange=value&finalizedFromDate=value&finalizedToDate=value&finalizedDateRange=value&assignmentUserIDs=value&customFieldIDs=value&customFieldLogic=value&customFieldOptionIDs=value&customFieldOtherOptionFieldIDs=value&buildingIDs=value&requestTypeIDs=value&resourceIDs=value&equipmentIDs=value&ownerships=value&statuses=value&resourceTypeIDs=value&resourceTypeFilterLogic=value&buildingGroupIDs=value&search=value&sort=value" ``` ``` -------------------------------- ### GET /v1/transportation-requests/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/transportation-requests/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/transportation-requests/get-options" ``` ``` -------------------------------- ### GET /v1/resource-types Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/resource-types ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **offset** (string, query, optional) - **limit** (string, query, optional) - **retiredFromDate** (string, query, optional) - **retiredToDate** (string, query, optional) - **retiredDateRange** (string, query, optional) - **statuses** (string, query, optional) - **buildingGroupIDs** (string, query, optional) - **search** (string, query, optional) - **sort** (string, query, optional): A comma-separated list of sort keys. A sort key orders ascending unless it's prefixed with a hyphen. ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/resource-types?fields=value&offset=value&limit=value&retiredFromDate=value&retiredToDate=value&retiredDateRange=value&statuses=value&buildingGroupIDs=value&search=value&sort=value" ``` ``` -------------------------------- ### POST /v1/equipment Source: https://demo.gofmx.com/api/v1/docs API endpoint for POST /v1/equipment ```markdown ### Parameters - **model** (Fmx.Api.Models.V1.EquipmentItems.EquipmentItemEditModel, body, required) ### Responses #### 200 - OK Empty response body #### 201 - Created Empty response body #### 400 - BadRequest BadRequest #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X POST "https://api.example.com/v1/equipment" ``` ``` -------------------------------- ### GET /v1/equipment Source: https://demo.gofmx.com/api/v1/docs Valid parameter values for this endpoint are exposed by the "get-options" endpoint. ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **customFieldIDWhitelist** (string, query, optional): A comma-separated list of custom field IDs to filter for. Useful for reducing the amount of data returned in the response object by restricting the custom fields on the returned entities to only the custom fields whose IDs match the IDs provided. - **offset** (string, query, optional) - **limit** (string, query, optional) - **createdFromDate** (string, query, optional) - **createdToDate** (string, query, optional) - **createdDateRange** (string, query, optional) - **lastModifiedFromDate** (string, query, optional) - **lastModifiedToDate** (string, query, optional) - **lastModifiedDateRange** (string, query, optional) - **retiredFromDate** (string, query, optional) - **retiredToDate** (string, query, optional) - **retiredDateRange** (string, query, optional) - **customFieldIDs** (string, query, optional) - **customFieldLogic** (string, query, optional) - **customFieldOptionIDs** (string, query, optional) - **customFieldOtherOptionFieldIDs** (string, query, optional) - **buildingIDs** (string, query, optional) - **resourceIDs** (string, query, optional) - **statuses** (string, query, optional) - **equipmentTypeIDs** (string, query, optional) - **meterTypeIDs** (string, query, optional) - **assetConditions** (string, query, optional) - **buildingGroupIDs** (string, query, optional) - **search** (string, query, optional) - **sort** (string, query, optional): A comma-separated list of sort keys. A sort key orders ascending unless it's prefixed with a hyphen. ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment?fields=value&customFieldIDWhitelist=value&offset=value&limit=value&createdFromDate=value&createdToDate=value&createdDateRange=value&lastModifiedFromDate=value&lastModifiedToDate=value&lastModifiedDateRange=value&retiredFromDate=value&retiredToDate=value&retiredDateRange=value&customFieldIDs=value&customFieldLogic=value&customFieldOptionIDs=value&customFieldOtherOptionFieldIDs=value&buildingIDs=value&resourceIDs=value&statuses=value&equipmentTypeIDs=value&meterTypeIDs=value&assetConditions=value&buildingGroupIDs=value&search=value&sort=value" ``` ``` -------------------------------- ### GET /v1/equipment/{id}/put-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/equipment/{id}/put-options ```markdown ### Parameters - **id** (string, path, required) - **equipmentTypeID** (string, query, optional) - **buildingID** (string, query, optional) ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/equipment/{id}/put-options?equipmentTypeID=value&buildingID=value" ``` ``` -------------------------------- ### POST /v1/webhooks Source: https://demo.gofmx.com/api/v1/docs Creates a webhook in `Pending verification` status and sends a URL ownership verification challenge. The challenge is an HTTP POST request with JSON body containing a `verifyUrl` property. Send an HTTP GET or POST request to the verification URL to enable the webhook. ```markdown ### Parameters - **model** (Fmx.Api.Models.V1.Webhooks.WebhookCreateModel, body, required) ### Responses #### 200 - OK Empty response body #### 201 - Created Empty response body #### 400 - BadRequest BadRequest #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X POST "https://api.example.com/v1/webhooks" ``` ``` -------------------------------- ### GET /v1/{module}/instruction-sets/{id} Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/{module}/instruction-sets/{id} ```markdown ### Parameters - **module** (string, path, required) - **id** (string, path, required) - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". ### Responses #### 200 - OK Empty response body #### 404 - NotFound NotFound ### Example Usage ```bash curl -X GET "https://api.example.com/v1/{module}/instruction-sets/{id}?fields=value" ``` ``` -------------------------------- ### GET /v1/organization Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/organization ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/organization?fields=value" ``` ``` -------------------------------- ### GET /v1/{moduleName}/requests/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/{moduleName}/requests/get-options ```markdown ### Parameters - **moduleName** (string, path, required): The default is "scheduling". If the module name is customized, use the custom name. ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/{moduleName}/requests/get-options" ``` ``` -------------------------------- ### GET /v1/{moduleName}/tasks/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/{moduleName}/tasks/get-options ```markdown ### Parameters - **moduleName** (string, path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/{moduleName}/tasks/get-options" ``` ``` -------------------------------- ### GET /v1/inventory-types Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/inventory-types ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". - **offset** (string, query, optional) - **limit** (string, query, optional) - **retiredFromDate** (string, query, optional) - **retiredToDate** (string, query, optional) - **retiredDateRange** (string, query, optional) - **statuses** (string, query, optional) - **buildingGroupIDs** (string, query, optional) - **search** (string, query, optional) - **sort** (string, query, optional): A comma-separated list of sort keys. A sort key orders ascending unless it's prefixed with a hyphen. ### Responses #### 200 - OK Empty response body #### 403 - Forbidden Forbidden ### Example Usage ```bash curl -X GET "https://api.example.com/v1/inventory-types?fields=value&offset=value&limit=value&retiredFromDate=value&retiredToDate=value&retiredDateRange=value&statuses=value&buildingGroupIDs=value&search=value&sort=value" ``` ``` -------------------------------- ### POST /v1/{module}/occurrences/{id}/start-work Source: https://demo.gofmx.com/api/v1/docs API endpoint for POST /v1/{module}/occurrences/{id}/start-work ```markdown ### Parameters - **module** (string, path, required) - **id** (string, path, required) - **model** (Fmx.Api.Models.V1.Shared.MultiStartWorkEditModel, body, required) ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X POST "https://api.example.com/v1/{module}/occurrences/{id}/start-work" ``` ``` -------------------------------- ### GET /v1/users/{id}/logs/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/users/{id}/logs/get-options ```markdown ### Parameters - **id** (string, path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/users/{id}/logs/get-options" ``` ``` -------------------------------- ### GET /v1/inventory/{inventoryID}/logs/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/inventory/{inventoryID}/logs/get-options ```markdown ### Parameters - **inventoryID** (string, path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/inventory/{inventoryID}/logs/get-options" ``` ``` -------------------------------- ### POST /v1/equipment/{equipmentID}/logs Source: https://demo.gofmx.com/api/v1/docs API endpoint for POST /v1/equipment/{equipmentID}/logs ```markdown ### Parameters - **equipmentID** (string, path, required) - **model** (Fmx.Api.Models.V1.EquipmentLogs.EquipmentLogEditModel, body, required) ### Responses #### 200 - OK Empty response body #### 201 - Created Empty response body #### 400 - BadRequest BadRequest #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X POST "https://api.example.com/v1/equipment/{equipmentID}/logs" ``` ``` -------------------------------- ### GET /v1/{module}/instruction-sets/{ids} Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/{module}/instruction-sets/{ids} ```markdown ### Parameters - **module** (string, path, required) - **ids** (string, path, required): A comma-separated list of up to 100 IDs. - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest ### Example Usage ```bash curl -X GET "https://api.example.com/v1/{module}/instruction-sets/{ids}?fields=value" ``` ``` -------------------------------- ### GET /v1/attachments Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/attachments ```markdown ### Parameters - **fields** (string, query, optional): A comma-separated list of properties to include in the response. Useful for expanding ID properties into a full object and excluding unused properties in order to reduce response size. ID properties are expanded by including their property name with "ID" removed from the suffix. Expanded objects can have their properties selectively included and can be further expanded. Supposing a DTO has "id", "name", and "childNodeIDs" properties, this expression would get the ID and name of all parents, children, and grandchildren: "id,name,childNodes(id,name,childNodes(id,name))". The ":default" property can be used to include all default properties while performing expansion. For example, this expression would retrieve all the default properties for the parent and the children ":default,childNodes(:default)". ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/attachments?fields=value" ``` ``` -------------------------------- ### GET /v1/{module}-requests/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/{module}-requests/get-options ```markdown ### Parameters - **module** (string, path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/{module}-requests/get-options" ``` ``` -------------------------------- ### GET /v1/accounting-transactions/get-options Source: https://demo.gofmx.com/api/v1/docs API endpoint for GET /v1/accounting-transactions/get-options ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/v1/accounting-transactions/get-options" ``` ``` -------------------------------- ### PUT /v1/equipment/{equipmentID}/logs/{id} Source: https://demo.gofmx.com/api/v1/docs API endpoint for PUT /v1/equipment/{equipmentID}/logs/{id} ```markdown ### Parameters - **equipmentID** (string, path, required) - **id** (string, path, required) - **model** (Fmx.Api.Models.V1.EquipmentLogs.EquipmentLogEditModel, body, required) ### Responses #### 200 - OK Empty response body #### 400 - BadRequest BadRequest #### 403 - Forbidden Forbidden #### 404 - NotFound NotFound ### Example Usage ```bash curl -X PUT "https://api.example.com/v1/equipment/{equipmentID}/logs/{id}" ``` ```